Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.inspect.swingui
Class TableSorter

    java.lang.Object
      javax.swing.table.AbstractTableModel
          groovy.inspect.swingui.TableMap
              groovy.inspect.swingui.TableSorter

All Implemented Interfaces:
  Serializable, EventListener, TableModelListener, TableModel

    public class TableSorter
    extends TableMap

See Also:
  Serialized Form

Field Summary
Modifier and Type | Field and Description
--- | ---

Fields inherited from class groovy.inspect.swingui.TableMap
`model`

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
Constructor and Description
`TableSorter()`
`TableSorter(TableModel model)`

Method Summary
Modifier and Type | Method and Description
--- | ---
`void` | `addMouseListenerToHeaderInTable(JTable table)`
`void` | `checkModel()`
`int` | `compare(int row1, int row2)`
`int` | `compareRowsByColumn(int row1, int row2, int column)`
`Object` | `getValueAt(int aRow, int aColumn)`
`void` | `n2sort()`
`void` | `reallocateIndexes()`
`void` | `setModel(TableModel model)`
`void` | `setValueAt(Object aValue, int aRow, int aColumn)`
`void` | `shuttlesort(int[] from, int[] to, int low, int high)`
`void` | `sort(Object sender)`
`void` | `sortByColumn(int column)`
`void` | `sortByColumn(int column, boolean ascending)`
`void` | `swap(int i, int j)`
`void` | `tableChanged(TableModelEvent e)`

Methods inherited from class groovy.inspect.swingui.TableMap
`getColumnClass, getColumnCount, getColumnName, getModel, getRowCount, isCellEditable`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableSorter

    public TableSorter()

### TableSorter

    public TableSorter(TableModel model)

Method Detail

### setModel

    public void setModel(TableModel model)

  Overrides:
    `setModel` in class `TableMap`

### compareRowsByColumn

    public int compareRowsByColumn(int row1,
                                   int row2,
                                   int column)

### compare

    public int compare(int row1,
                       int row2)

### reallocateIndexes

    public void reallocateIndexes()

### tableChanged

    public void tableChanged(TableModelEvent e)

  Specified by:
    `tableChanged` in interface `TableModelListener`
  Overrides:
    `tableChanged` in class `TableMap`

### checkModel

    public void checkModel()

### sort

    public void sort(Object sender)

### n2sort

    public void n2sort()

### shuttlesort

    public void shuttlesort(int[] from,
                            int[] to,
                            int low,
                            int high)

### swap

    public void swap(int i,
                     int j)

### getValueAt

    public Object getValueAt(int aRow,
                             int aColumn)

  Specified by:
    `getValueAt` in interface `TableModel`
  Overrides:
    `getValueAt` in class `TableMap`

### setValueAt

    public void setValueAt(Object aValue,
                           int aRow,
                           int aColumn)

  Specified by:
    `setValueAt` in interface `TableModel`
  Overrides:
    `setValueAt` in class `TableMap`

### sortByColumn

    public void sortByColumn(int column)

### sortByColumn

    public void sortByColumn(int column,
                             boolean ascending)

### addMouseListenerToHeaderInTable

    public void addMouseListenerToHeaderInTable(JTable table)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD